// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "Components/EditableTextBox.h"
#include "CoreMinimal.h"
#include <Components/TextBlock.h>
#include "MagicFloatInput.generated.h"

DECLARE_DELEGATE(FOnMagicFloatsMangledDelegate);

/**
 *
 */
UCLASS()
class MYPROJECT_API UMagicFloatInput : public UEditableTextBox {

  GENERATED_BODY()

  void HandleOnTextCommitted(
      FText const & Text,
      ETextCommit::Type CommitMethod
  ) override;

  UPROPERTY(EditAnywhere)
  UTextBlock * sourceInput;

  UPROPERTY(EditAnywhere)
  UTextBlock * myVerifier;

  UFUNCTION()
  void HandleMagicFloatsMangledEvent();

  FOnMagicFloatsMangledDelegate OnMagicFloatsMangled;
};
